Page MenuHomePhabricator

[technical] Drop VectorSimpleSearch config flag
Closed, ResolvedPublic2 Estimated Story Points

Description

In preparation for the work on search, we will simplify the search widget by removing some unnecessary config.

Vector has a config flag wgVectorUseSimpleSearch. It's true by default and true on all Wikimedia wikis.
When set to false, it makes no change to Vector.

The flag adds a simpleSearch id to the search form.
This ID is picked up by the core mediawiki.searchSuggest module to add autocomplete search results to Vector.

When the ID is dropped however, the autocomplete still works as mediawiki.searchSuggest looks for #searchInput as well.

Acceptance criteria

  • Drop wgVectorUseSimpleSearch from code
  • For compatibility with gadgets always output the simpleSearch ID.

QA steps

We'll want to check a few pages on https://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page
ensuing that search autocomplete is still working:

Notes

Given our pending changes to search we won't need this in modern Vector

QA Results - Beta

ACStatusDetails
1T254620#6215854

Event Timeline

Jdlrobson created this task.Jun 5 2020, 6:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2020, 6:22 PM
Jdlrobson triaged this task as Medium priority.Jun 5 2020, 6:22 PM

Change 602799 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] Drop VectorUseSimpleSearch config flag

https://gerrit.wikimedia.org/r/602799

vas assigned this task to Jdlrobson.Jun 8 2020, 12:44 PM
vas added a subscriber: vas.

I have taken a look at that task and it seems it was resolved in change 602799 (see above), but I think that we have to put comments about that in the HISTORY file.

Change 603452 had a related patch set uploaded (by Vas Yaremchuk; owner: Vas Yaremchuk):
[mediawiki/core@master] Add removed configuration record about VectorSimpleSearch

https://gerrit.wikimedia.org/r/603452

Change 602799 merged by jenkins-bot:
[mediawiki/skins/Vector@master] Drop VectorUseSimpleSearch config flag

https://gerrit.wikimedia.org/r/602799

Jdlrobson updated the task description. (Show Details)Jun 8 2020, 5:56 PM
Jdlrobson renamed this task from Drop VectorSimpleSearch config flag to [technical] Drop VectorSimpleSearch config flag.Jun 8 2020, 6:00 PM
Jdlrobson reassigned this task from Demian to Edtadros.Jun 10 2020, 5:09 PM
Jdlrobson added a subscriber: Demian.
Edtadros removed Edtadros as the assignee of this task.Jun 11 2020, 4:18 PM
Edtadros added a subscriber: Edtadros.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Catalina
Browser: Chrome
Device: MBP
Emulated Device: NA

Test Artifact(s):

QA steps

✅ AC1: We'll want to check a few pages on https://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page
ensuing that search autocomplete is still working:

Edtadros updated the task description. (Show Details)Jun 11 2020, 4:18 PM
Edtadros updated the task description. (Show Details)

@Jdlrobson if this looks good we can move it to Needs QA in Prod.

ovasileva set the point value for this task to 2.Jun 11 2020, 5:24 PM
Jdlrobson closed this task as Resolved.Jun 26 2020, 4:10 PM

No complaints from editors. Still appears to be working fine so I think we're good here.

Jdlrobson updated the task description. (Show Details)Jun 26 2020, 4:11 PM